﻿@{ Layout = ""; }
@using System.Web.UI.WebControls; 
@Html.DevExpress().PopupControl(settings =>
        {
            settings.Name = "popUpOriOrder";
            settings.CallbackRouteValues = new { Controller = "ETD", Action = "popUpOriOrder" };
            settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
            settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
            settings.AllowDragging = true;
            settings.EnableHotTrack = true;
            settings.LoadContentViaCallback = LoadContentViaCallback.OnFirstShow;
            settings.Modal = true;
            settings.HeaderText = "Original Order";
        }).GetHtml()
<div style="padding:6px;"></div>
<div class ="content" style="padding:20px;">
<table border = "0">
        <tr>
                <td>
                @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "PART NO";
                        label.Width = 80;
                    }).GetHtml()
            </td>
            <td>@Html.DevExpress().TextBox(
                                        settings =>
                        {
                            settings.Name = "PART_NO";
                            settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                            settings.Width = 200;
                        
                        }
                    ).GetHtml()
            </td>
            
            <td style="width:15px"></td>   
            <td>
            @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "ORDER NO";
                        label.Width = 80;
                    
                }).GetHtml()
        
            </td>

            <td style="width:15px"></td>
            <td>
                @Html.DevExpress().TextBox(
                        settings =>
                        {
                            settings.Name = "ORDER_NO";
                            settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                            settings.Width = 200;
                        
                        }
                    ).GetHtml()
            </td>

            <td style="width:15px"></td>
            <td>
            @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "ITEM NO";
                        label.Width = 80;
                    
                }).GetHtml()
        
            </td>

            <td style="width:15px"></td>
        <td>
                @Html.DevExpress().TextBox(
                        settings =>
                        {
                            settings.Name = "ITEM_NO";
                            settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                            settings.Width = 200;
                        
                        }
                    ).GetHtml()
            </td>



  
            <td style="width:550px"></td>
            <td>
                @Html.DevExpress().Button(
                                        edtSetting =>
                                        {
                                            edtSetting.Name = "cmdOriOrder";
                                            edtSetting.Text = "Original Order";
                                            edtSetting.Width = 120;
                                            edtSetting.ClientSideEvents.Click = "OnOriOrder";
                                            edtSetting.UseSubmitBehavior = true;
                                    
                                        }
                                    ).GetHtml()
            </td>
            <td style="width:15px"></td>
            <td>
                @Html.DevExpress().Button(
                                        edtSetting =>
                                        {
                                            edtSetting.Name = "retrive";
                                            edtSetting.Width = 80;
                                            edtSetting.Text = "Retrive";
                                            edtSetting.ClientSideEvents.Click = "OnRetrive";
                                            edtSetting.UseSubmitBehavior = true;
                                    
                                        }
                                    ).GetHtml()
            </td>
 
            <td style="width:15px"></td>
            <td>
                @Html.DevExpress().Button(
                                        edtSetting =>
                                        {
                                            edtSetting.Name = "cmdDownload";
                                            edtSetting.Width = 80;
                                            edtSetting.Text = "Download";
                                            edtSetting.ClientSideEvents.Click = "OnDownload";
                                            edtSetting.UseSubmitBehavior = true;
                                    
                                        }
                                    ).GetHtml()
            </td>
 <table border = "0">
<tr>
    <td colspan="50">
        <hr />
    </td>
</tr>
            <tr>
            <td>
                @Html.DevExpress().Button(
                edtSetting =>
                {
                edtSetting.Name = "cmdPOSS";
                edtSetting.Width = 110;
                edtSetting.Text = "POSS";
                edtSetting.ClientSideEvents.Click = "POSS";
                edtSetting.ClientEnabled = true;
                }
                ).GetHtml()
            </td>
            <td style="width:15px"></td>
            <td>
                @Html.DevExpress().Button(
                edtSetting =>
                {
                edtSetting.Name = "cmdBO";
                edtSetting.Width = 110;
                edtSetting.Text = "Buyer Order";
                edtSetting.ClientSideEvents.Click = "BOData";
                edtSetting.ClientEnabled = true;
                //edtSetting.UseSubmitBehavior = true;
        
                }
                ).GetHtml()
            </td>
            <td style="width:15px"></td>
            <td>
                @Html.DevExpress().Button(
                edtSetting =>
                {
                edtSetting.Name = "cmdSupply";
                edtSetting.Width = 110;
                edtSetting.Text = "Supply";
                edtSetting.ClientSideEvents.Click = "SupplyData";
                edtSetting.ClientEnabled = true;
                //edtSetting.UseSubmitBehavior = true;
        
                }
                ).GetHtml()
            </td>
            <td style="width:15px"></td>
            <td>
                @Html.DevExpress().Button(
                edtSetting =>
                {
                edtSetting.Name = "cmdReadyCargo";
                edtSetting.Width = 110;
                edtSetting.Text = "Ready Cargo";
                edtSetting.ClientSideEvents.Click = "ReadyCargoData";
                edtSetting.ClientEnabled = true;
                //edtSetting.UseSubmitBehavior = true;
        
                }
                ).GetHtml()
            </td>
            <td style="width:15px"></td>
            <td>
                @Html.DevExpress().Button(
                edtSetting =>
                {
                edtSetting.Name = "cmdVanning";
                edtSetting.Width = 110;
                edtSetting.Text = "Vanning";
                edtSetting.ClientSideEvents.Click = "VanningData";
                edtSetting.ClientEnabled = true;
                //edtSetting.UseSubmitBehavior = true;
        
                }
                ).GetHtml()
            </td> 
            <td style="width:15px"></td>
           <td>
                @Html.DevExpress().Button(
                edtSetting =>
                {
                edtSetting.Name = "cmdShipment";
                edtSetting.Width = 110;
                edtSetting.Text = "Shipment";
                edtSetting.ClientSideEvents.Click = "ShipmentData";
                edtSetting.UseSubmitBehavior = true;
                }
                ).GetHtml()
            </td>
           
           <td style="width:1000px"></td> 
</table>

</div>